SDL_SetHapticAutocenter(3)

NAME
SDL_SetHapticAutocenter - Set the global autocenter of the device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetHapticAutocenter(SDL_Haptic *haptic, int autocenter);

DESCRIPTION
Autocenter should be between 0 and 100. Setting it to 0 will disable autocentering. Device must support the SDL_HAPTIC_AUTOCENTER feature.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to set autocentering on

autocenter
    value to set autocenter to (0-100)

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetHapticFeatures(3)